# -*- coding: utf-8 -*-
import sys
import os

from ez_setup import use_setuptools
use_setuptools('0.6c3')

from setuptools import setup, find_packages, Extension
from distutils.sysconfig import get_python_inc
from glob import glob
import commands


dist = setup( name='ace-of-penguins launcher',
    version='0.0.1',
    author='Heinervdm',
    author_email='zimmermann@vdm-design.de',
    description='python-elementary based launcher for ace-of-penguins',
    url='http://shr-project.org/',
    download_url='http://heinervdm.dyndns.info/shr-dist/aceofpenguins-launcher',
    license='GNU GPL',
    scripts=['ace-of-penguins'],
    data_files=[('pixmaps' , glob("data/icons/*.png")),
                ('applications', ['data/ace-of-penguins.desktop'])]
)

installCmd = dist.get_command_obj(command="install_data")
installdir = installCmd.install_dir
installroot = installCmd.root

if not installroot:
    installroot = ""

if installdir:
    installdir = os.path.join(os.path.sep,
        installdir.replace(installroot, ""))

